Name: help2man
Version: 1.35.1
Release: alt1

Summary: help2man creates simple man pages from the output of programs
License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/%name/

# NLS support makes whole package arch-specific.
#BuildArch: noarch

Source: ftp://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2

Patch1: %name-1.35.1-alt-texinfo.patch
Patch2: %name-1.35.1-alt-runas.patch

Requires(post): %install_info
Requires(preun): %uninstall_info
Requires: coreutils

%def_enable nls

%if_enabled nls
Requires: preloadable_libintl.so
BuildRequires: perl-Locale-gettext, preloadable_libintl.so
%endif

%description
help2man is a tool for automatically generating simple manual
pages from program output.

This program is intended to provide an easy way for software authors
to include a manual page in their distribution without having to
maintain that document.

Given a program which produces reasonably standard --help and
--version outputs, help2man can re-arrange that output into
something which resembles a manual page.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%__install -pm644 debian/README README.example

%build
%configure %{subst_enable nls}
%make_build

%install
%makeinstall
%find_lang --with-man %name

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files -f %name.lang
%if_enabled nls
%_libdir/*
%endif
%_bindir/*
%_infodir/*.info*
%doc ChangeLog NEWS README* THANKS help2man.h2m

%changelog
* Wed Mar 02 2005 Dmitry V. Levin <ldv@altlinux.org> 1.35.1-alt1
- Updated to 1.35.1.
- Updated patches.
- Enabled nls support by default.

* Fri May 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1.29-alt2
- Deal with info dir entries such that the menu looks pretty.
- Use runas(1) to run executable.
- Changed %%postun script to %%preun.
- Updated package dependencies.

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.29-alt1
- 1.29

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.27-alt1
- 1.27

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.26-alt1
- 1.26

* Sun Jan 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.25-alt1
- First build for Sisyphus.
